## org.eclipse.datatools.connectivity.sqm.loader
Class ConnectionFilterProvider

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.ConnectionFilterProvider

All Implemented Interfaces:
  IConnectionFilterProvider

Direct Known Subclasses:
  CatalogFilterProvider, SchemaFilterProvider, SchemaObjectFilterProvider

    public abstract class ConnectionFilterProvider

extends java.lang.Object
implements IConnectionFilterProvider

Base implementation for IConnectionFilterProvider. Provides a helper method for retrieving the ConnectionInfo object associated with the specified catalog object.

Since:
  1.0

Constructor Summary
`ConnectionFilterProvider()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.connectivity.sqm.loader.IConnectionFilterProvider
`getConnectionFilter`

Constructor Detail

### ConnectionFilterProvider

    public ConnectionFilterProvider()

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.